//=============================================================================
// Rph - Icon Switch
// IconSwitch.js
//=============================================================================

//=============================================================================
/*: 
 * @plugindesc Load custom icons for new items for OMORI.
 * @author Rph Software - FoGsesipod
*/
//=============================================================================

!function() {
// Change Items Icon.
let oldItemIcon = Window_Base.prototype.drawItemIcon;

    Window_Base.prototype.drawItemIcon = function(item, x, y, rate = 1.0) {
        if (item && item.id === 322 && (DataManager.isKeyItem(item))) {
            if ($gameParty.numItems($dataItems[322]) === 1) {
                bitmap = ImageManager.loadSystem("I_322-1");
            }
            else if ($gameParty.numItems($dataItems[322]) === 2) {
                bitmap = ImageManager.loadSystem("I_322-2");
            }
            else if ($gameParty.numItems($dataItems[322]) === 3) {
                bitmap = ImageManager.loadSystem("I_322-3");
            }
            else if ($gameParty.numItems($dataItems[322]) === 4) {
                bitmap = ImageManager.loadSystem("I_322-4");
            }
            else {
                bitmap = ImageManager.loadSystem("I_322-5");
            }
            this.contents.blt(bitmap, 0, 0, 108, 108, x, y, 108 * rate, 108 * rate);
        }
        else {
            oldItemIcon.call(this, ...arguments);
        }
    };
// Reserve new images on load.
let old_loadgame = Scene_OmoriFile.prototype.loadGame

    Scene_OmoriFile.prototype.loadGame = function() {
        old_loadgame.call(this)
            ImageManager.reserveSystem('I_322-1', 0,  this._imageReservationId)
            ImageManager.reserveSystem('I_322-2', 0,  this._imageReservationId)
            ImageManager.reserveSystem('I_322-3', 0,  this._imageReservationId)
            ImageManager.reserveSystem('I_322-4', 0,  this._imageReservationId)
            ImageManager.reserveSystem('I_322-5', 0,  this._imageReservationId)
    }
}(); // Thank you Rph.